-#
-# TODO: allow setting @owner
-#
= paginate @versions

%table#versions-table.table.table-striped
  %thead
    %tr
      %th
      %th When
      %th User
      - unless @owner
        %th Record
      %th Change
      %th
  %tbody
    - @versions.each do |version|
      - path = version_path(version, owner: @order&.id)
      %tr
        %td= link_to(version.index, path)
        %td.text-nowrap= link_to(display_time_ago(version.created_at), path)
        %td= version.who&.login || icon("robot")
        - unless @owner
          %td= version.item_type
        -# %td= version_badge(version)
        %td= link_to(remove_links(version.description), path)

= paginate @versions